Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.esupportail.portal.channels.CIntranet.actions.intranet
Class ViewPermissions

    java.lang.Object
      org.esupportail.portal.utils.channels.SubChannel
          org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
              org.esupportail.portal.channels.CIntranet.actions.intranet.ViewPermissions

All Implemented Interfaces:
  org.jasig.portal.ICacheable, org.esupportail.portal.utils.channels.ISubChannel

public class ViewPermissions
extends IntranetAction

ViewPermissions
Cette action prend en charge la visualisation / modification des permissions d'un dossier
(c)Copyright ESup-Portail 2004

Version:
  1.3
Author:
  Mathieu Larchet

Constructor Summary
`ViewPermissions(org.esupportail.portal.utils.channels.MainChannel mainChannel)` Constructeur

Method Summary
`java.lang.Boolean` | `action()` Méthode appelée si la personne a le niveau requis
`java.lang.Boolean` | `addgroupinit(org.jasig.portal.ChannelRuntimeData rd)` Ajout d'un groupe de publicateurs
`java.lang.Boolean` | `addpubinit(org.jasig.portal.ChannelRuntimeData rd)` Ajout d'un publicateur (retour du servant Annuaire)
`java.lang.Boolean` | `addvalinit(org.jasig.portal.ChannelRuntimeData rd)` Ajout d'un valideur (retour du servant Annuaire)
`int` | `getLevel()` Retourne le niveau d'accréditation minimum pour accéder à cette action
`java.lang.Boolean` | `groupinit(org.jasig.portal.ChannelRuntimeData rd)` Ajout de groupes aux publicateurs
`java.lang.Boolean` | `groupxml()` Affiche la liste des groupes de valideurs disponibles
`java.lang.Boolean` | `pubinit(org.jasig.portal.ChannelRuntimeData rd)` Suppression de publicateurs
`java.lang.Boolean` | `setXML()` Affichage des permissions pour ce dossier
`java.lang.Boolean` | `valinit(org.jasig.portal.ChannelRuntimeData rd)` Suppression de valideurs

Methods inherited from class org.esupportail.portal.channels.CIntranet.actions.intranet.IntranetAction
`init`

Methods inherited from class org.esupportail.portal.utils.channels.SubChannel
`addDefaultXslParameters, addDownloadXslParameter, clearChannel, generateKey, getMainChannel, getMediaPath, getPackageName, getRuntimeData, getSSL, getXML, getXSL, getXSLParameter, isCacheValid, log, log, renderXML, setDefaultXslParameters, setOutput, setSSL, setXML, setXSL, setXSLParameter`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ViewPermissions

    public ViewPermissions(org.esupportail.portal.utils.channels.MainChannel mainChannel)

  Constructeur

Parameters:
  `mainChannel` - Channel principale

Method Detail

### getLevel

    public int getLevel()

  Retourne le niveau d'accréditation minimum pour accéder à cette action

  Specified by:
    `getLevel` in class `IntranetAction`
  Returns:
    ISecurityManager.VALIDATOR

### action

    public java.lang.Boolean action()
                             throws org.jasig.portal.PortalException,
                                    org.esupportail.portal.utils.channels.FrameWorkException

  Méthode appelée si la personne a le niveau requis

  Specified by:
    `action` in class `IntranetAction`
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### setXML

    public java.lang.Boolean setXML()

  Affichage des permissions pour ce dossier

  Returns:
    Boolean.TRUE

### pubinit

    public java.lang.Boolean pubinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Suppression de publicateurs

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### valinit

    public java.lang.Boolean valinit(org.jasig.portal.ChannelRuntimeData rd)
                              throws org.jasig.portal.PortalException,
                                     org.esupportail.portal.utils.channels.FrameWorkException

  Suppression de valideurs

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### groupinit

    public java.lang.Boolean groupinit(org.jasig.portal.ChannelRuntimeData rd)
                                throws org.jasig.portal.PortalException,
                                       org.esupportail.portal.utils.channels.FrameWorkException

  Ajout de groupes aux publicateurs

  Parameters:
    `rd` -
  Returns:
    Boolean.TRUE si l'action s'est bien passée, Boolean.FALSE sinon
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### groupxml

    public java.lang.Boolean groupxml()

  Affiche la liste des groupes de valideurs disponibles

  Returns:
    Boolean.TRUE

### addgroupinit

    public java.lang.Boolean addgroupinit(org.jasig.portal.ChannelRuntimeData rd)
                                   throws org.jasig.portal.PortalException,
                                          org.esupportail.portal.utils.channels.FrameWorkException

  Ajout d'un groupe de publicateurs

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### addpubinit

    public java.lang.Boolean addpubinit(org.jasig.portal.ChannelRuntimeData rd)
                                 throws org.jasig.portal.PortalException,
                                        org.esupportail.portal.utils.channels.FrameWorkException

  Ajout d'un publicateur (retour du servant Annuaire)

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

### addvalinit

    public java.lang.Boolean addvalinit(org.jasig.portal.ChannelRuntimeData rd)
                                 throws org.jasig.portal.PortalException,
                                        org.esupportail.portal.utils.channels.FrameWorkException

  Ajout d'un valideur (retour du servant Annuaire)

  Parameters:
    `rd` -
  Returns:
    Boolean.FALSE (pas d'affichage)
  Throws:
    `org.jasig.portal.PortalException`
    `org.esupportail.portal.utils.channels.FrameWorkException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD